# Uses of Class
org.codehaus.janino.util.ClassFile.Annotation

Packages that use ClassFile.Annotation
Package
Description
org.codehaus.janino.util
Application-independent helper classes.

## Uses of ClassFile.Annotation in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return ClassFile.Annotation
Modifier and Type
Method
Description
`ClassFile.Annotation[]`
Annotatable.`getAnnotations(boolean runtimeVisible)`
`ClassFile.Annotation[]`
ClassFile.FieldInfo.`getAnnotations(boolean runtimeVisible)`
`ClassFile.Annotation[]`
ClassFile.`getAnnotations(boolean runtimeVisible)`
`ClassFile.Annotation[]`
ClassFile.MethodInfo.`getAnnotations(boolean runtimeVisible)`
Methods in org.codehaus.janino.util that return types with arguments of type ClassFile.Annotation
Modifier and Type
Method
Description
`List<ClassFile.Annotation>`
ClassFile.AnnotationsAttribute.`getAnnotations()`
Methods in org.codehaus.janino.util with parameters of type ClassFile.Annotation
Modifier and Type
Method
Description
`R`
ClassFile.ElementValue.Visitor.`visitAnnotation(ClassFile.Annotation subject)`